#!/bin/sh
# browser
# Written in 2019-2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.

case ${0##*/} in
tor-browser)
	user=_tor_browser
	browser=/usr/local/bin/tor-browser
	;;
*)
	user=_browser
	browser=/usr/local/bin/firefox
	;;
esac

dpy=${DISPLAY:-:0}
{
	dd if=~/.sndio/cookie bs=1 count=16
	xauth extract - "$dpy"
} | ssh -l "$user" localhost -- \
    dd of=.sndio/cookie bs=1 count=16 '&&' \
    xauth merge - '&&' \
    env DISPLAY="$dpy" "$browser" "$@"
