#!/bin/sh
# env
# Written in 2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.

: ${CANVAS_HEIGHT:=352}
: ${CANVAS_WIDTH:=352}
: ${IMAGE_HEIGHT:=500}
: ${IMAGE_WIDTH:=500}

if ! tmpfile=$(mktemp -t bg.XXXXXXXXXX); then
	printf "%s: can't create temporary file\n" "${0##*/}" >&2
	exit 1
fi

trap 'rm -f "$tmpfile"' EXIT INT QUIT TERM

basefile=ff5-faris-black-mage.png
basename=${basefile%.png}

pngtopam -alphapam "$basefile" |
    pamcut -top 0 -left -0 -width "$CANVAS_WIDTH" -height "$CANVAS_HEIGHT" |
    pamtopng >"$basename-square.png"

pngtopam -alphapam "$basename-square.png" >"$tmpfile"
for color in black white; do
	ppmmake "$color" "$CANVAS_WIDTH" "$CANVAS_HEIGHT" |
	    pamcomp "$tmpfile" |
	    pamtopng >"$basename-square-bg-$color.png"
done
